Create Extension
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/extensions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"extensionId": "<string>",
"version": "<string>",
"manifestHash": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/extensions"
payload = {
"extensionId": "<string>",
"version": "<string>",
"manifestHash": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({extensionId: '<string>', version: '<string>', manifestHash: '<string>'})
};
fetch('https://api.jtl-cloud.com/erp/v2/extensions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"extensionId": "<string>",
"version": "<string>",
"created": "2023-11-07T05:31:56Z",
"lastChanged": "2023-11-07T05:31:56Z",
"manifestHash": "<string>",
"status": 0
}Extensibility
Create Extension
Creates a new extension and validate the signature of the manifest.
POST
/
v2
/
extensions
Create Extension
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Body
application/json
The relevant information of the extension.
Response
The new created extension.
Model Class: Extension
The Identifier of the Extension.
The Unique Identifier of the Extension
The Version of Extension.
The Date of Creation the Extension in the Wawi
The Date of the last changeof the Extension information
The Hash of the Manifest Hexadeimcal Sha512
The status of the Extension
Available options:
0, 1, 2 Was this page helpful?